## zaqar 8.0.0

=== debian/changelog ===
zaqar (8.0.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Fri, 12 Apr 2019 10:26:19 +0100

zaqar (8.0.0~rc1-0ubuntu1) disco; urgency=medium

  * d/watch: track 8.x series.
  * New upstream release candidate for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Fri, 22 Mar 2019 11:57:34 +0000

zaqar (8.0.0~b1~git2019031908.cf01152b-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Tue, 19 Mar 2019 11:20:09 +0000

zaqar (8.0.0~b1~git2019013109.2438c565-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 31 Jan 2019 09:12:52 -0500

zaqar (8.0.0~b1~git2018111913.7c2d6a97-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.
  * d/control,rules,python*,d/tests/*: Drop Python 2 support.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 19 Nov 2018 13:48:29 -0500

=== debian/control ===
Source: zaqar
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools (>= 85ubuntu3~),
 po-debconf,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 alembic (>= 0.8.10),
 mongodb,
 python3-alembic (>= 0.8.10),
 python3-autobahn (>= 0.17.1),
 python3-babel (>= 2.3.4),
 python3-coverage (>= 4.0),
 python3-ddt (>= 1.0.1),
 python3-doc8 (>= 0.6.0),
 python3-falcon (>= 1.0.0),
 python3-fixtures (>= 3.0.0),
 python3-futurist (>= 1.2.0),
 python3-hacking (>= 0.12.0),
 python3-iso8601 (>= 0.1.11),
 python3-jsonschema (>= 2.6.0),
 python3-keystoneclient (>= 1:1.6.0),
 python3-keystonemiddleware (>= 4.17.0),
 python3-memcache (>= 1.56),
 python3-mock (>= 2.0.0),
 python3-msgpack (>= 0.5.1),
 python3-openstackdocstheme (>= 1.18.1),
 python3-os-api-ref (>= 1.4.0),
 python3-os-testr (>= 1.0.0),
 python3-oslo.cache (>= 1.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.context (>= 1:2.19.2),
 python3-oslo.db (>= 4.27.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.policy (>= 1.30.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.upgradecheck (>= 0.1.1),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-osprofiler (>= 1.4.0),
 python3-pygments (>= 2.2.0),
 python3-pymongo (>= 3.6.0),
 python3-pymysql (>= 0.7.6),
 python3-redis (>= 3.0.0),
 python3-reno (>= 2.5.0),
 python3-requests (>= 2.14.2),
 python3-six (>= 1.10.0),
 python3-sphinxcontrib.apidoc (>= 0.2.0),
 python3-sqlalchemy (>= 1.0.10),
 python3-stevedore (>= 1:1.20.0),
 python3-swiftclient (>= 1:3.2.0),
 python3-testrepository (>= 0.0.18),
 python3-testresources (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-webob (>= 1:1.7.1),
 python3-websocket (>= 0.44.0),
 subunit,
 tempest (>= 1:12.1.0),
 testrepository,
Standards-Version: 4.1.3
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/zaqar
Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/zaqar
Homepage: https://github.com/openstack/zaqar/
Testsuite: autopkgtest-pkg-python

Package: python3-zaqar
Section: python
Architecture: all
Depends:
 alembic (>= 0.8.10),
 python3-alembic (>= 0.8.10),
 python3-autobahn (>= 0.17.1),
 python3-babel (>= 2.3.4),
 python3-falcon (>= 1.0.0),
 python3-futurist (>= 1.2.0),
 python3-iso8601 (>= 0.1.11),
 python3-jsonschema (>= 2.6.0),
 python3-keystoneclient (>= 1:1.6.0),
 python3-keystonemiddleware (>= 4.17.0),
 python3-memcache (>= 1.56),
 python3-msgpack (>= 0.5.1),
 python3-oslo.cache (>= 1.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.context (>= 1:2.19.2),
 python3-oslo.db (>= 4.27.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.policy (>= 1.30.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.upgradecheck (>= 0.1.1),
 python3-oslo.utils (>= 3.33.0),
 python3-osprofiler (>= 1.4.0),
 python3-pbr (>= 2.0.0),
 python3-pymongo (>= 3.0.2),
 python3-requests (>= 2.14.2),
 python3-six (>= 1.10.0),
 python3-sqlalchemy (>= 1.0.10),
 python3-stevedore (>= 1:1.20.0),
 python3-webob (>= 1:1.7.1),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Queueing as a Service - Python 3 libraries
 Zaqar is a multi-tenant cloud messaging service for web developers. It
 combines the ideas pioneered by Amazon's SQS product with additional semantics
 to support event broadcasting.
 .
 The service features a fully RESTful API, which developers can use to send
 messages between various components of their SaaS and mobile applications, by
 using a variety of communication patterns. Underlying this API is an efficient
 messaging engine designed with scalability and security in mind.
 .
 Other OpenStack components can integrate with Zaqar to surface events to end
 users and to communicate with guest agents that run in the "over-cloud" layer.
 Cloud operators can leverage Zaqar to provide equivalents of SQS and SNS to
 their customers.
 .
 This package contains the Python 3 libraries that are part of Zaqar.

Package: zaqar-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 python3-zaqar (= ${binary:Version}),
 sqlite3,
 ${misc:Depends},
Description: OpenStack Queueing as a Service - common files
 Zaqar is a multi-tenant cloud messaging service for web developers. It
 combines the ideas pioneered by Amazon's SQS product with additional semantics
 to support event broadcasting.
 .
 The service features a fully RESTful API, which developers can use to send
 messages between various components of their SaaS and mobile applications, by
 using a variety of communication patterns. Underlying this API is an efficient
 messaging engine designed with scalability and security in mind.
 .
 Other OpenStack components can integrate with Zaqar to surface events to end
 users and to communicate with guest agents that run in the "over-cloud" layer.
 Cloud operators can leverage Zaqar to provide equivalents of SQS and SNS to
 their customers.
 .
 This package contains common files and configuration that are
 needed by all the daemon packages of Zaqar.

Package: zaqar-server
Architecture: all
Depends:
 adduser,
 debconf,
 q-text-as-data,
 zaqar-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
Description: OpenStack Queueing as a Service - API server
 Zaqar is a multi-tenant cloud messaging service for web developers. It
 combines the ideas pioneered by Amazon's SQS product with additional semantics
 to support event broadcasting.
 .
 The service features a fully RESTful API, which developers can use to send
 messages between various components of their SaaS and mobile applications, by
 using a variety of communication patterns. Underlying this API is an efficient
 messaging engine designed with scalability and security in mind.
 .
 Other OpenStack components can integrate with Zaqar to surface events to end
 users and to communicate with guest agents that run in the "over-cloud" layer.
 Cloud operators can leverage Zaqar to provide equivalents of SQS and SNS to
 their customers.
 .
 This package contains the API server on which clients will connect.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,systemd

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build \
		debian/zaqar-common.postinst \
		debian/zaqar-common.config \
		debian/zaqar-server.postinst \
		debian/zaqar-server.config \
		debian/*.service debian/*.init debian/*.upstart
	rm -rf debian/*.templates debian/po

override_dh_auto_clean:
	python3 setup.py clean

override_dh_auto_build:
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func zaqar-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func zaqar-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func zaqar-server.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func zaqar-server.postinst
	pkgos-merge-templates zaqar-server zaqar endpoint
	pkgos-merge-templates zaqar-common zaqar rabbit ksat

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_install:
	pkgos-dh_auto_install --no-py2

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	bash -x ./debian/setup-test-env-mongodb.sh pkgos-dh_auto_test --no-py2 'zaqar\.tests\.unit.(?!(.*transport\.websocket\.v2\.test_messages\.MessagesBaseTest\.test_post_multiple_2_False.*|.*transport\.websocket\.v2\.test_claims.*|.*transport\.websocket\.v2\.test_queue_lifecycle\.QueueLifecycleBaseTest\.test_list.*|.*transport\.websocket\.v2\.test_subscriptions\.SubscriptionTest\.test_subscription.*|.*transport\.websocket\.v2\.test_messages\.MessagesBaseTest.*))'
	#(?!(.*transport\.websocket\.v2\.test_subscriptions\.SubscriptionTest\.test_subscription_sustainable_notifications_format.*|.*transport\.websocket\.v2\.test_messages\.MessagesBaseTest\.test_unsupported_json_1___overflow___9223372036854775808_.*|.*transport\.websocket\.v2\.test_subscriptions\.SubscriptionTest\.test_subscription_create.*))'
endif

	mkdir -p $(CURDIR)/debian/zaqar-common/usr/share/zaqar-common
	PYTHONPATH=$(CURDIR)/debian/python3-zaqar/usr/lib/python3/dist-packages python3-oslo-config-generator \
		--output-file $(CURDIR)/debian/zaqar-common/usr/share/zaqar-common/zaqar.conf \
		--wrap-width 140 \
		--namespace zaqar.common.auth \
		--namespace zaqar.common.configs \
		--namespace zaqar.storage.pipeline \
		--namespace zaqar.storage.pooling \
		--namespace zaqar.storage.mongodb \
		--namespace zaqar.storage.redis \
		--namespace zaqar.storage.sqlalchemy \
		--namespace zaqar.storage.swift \
		--namespace zaqar.transport.wsgi \
		--namespace zaqar.transport.websocket \
		--namespace zaqar.transport.base \
		--namespace zaqar.transport.validation \
		--namespace keystonemiddleware.auth_token \
		--namespace oslo.cache \
		--namespace oslo.log \
		--namespace oslo.messaging \
		--namespace oslo.middleware.cors \
		--namespace osprofiler \
		--namespace oslo.policy \
		--namespace oslo.reports
	pkgos-readd-keystone-authtoken-missing-options $(CURDIR)/debian/zaqar-common/usr/share/zaqar-common/zaqar.conf keystone_authtoken zaqar

	PYTHONPATH=$(CURDIR)/debian/python3-zaqar/usr/lib/python3/dist-packages python3-oslopolicy-sample-generator \
		--output-file $(CURDIR)/debian/zaqar-common/usr/share/zaqar-common/policy.json \
		--format json \
		--namespace zaqar

	dh_install
	dh_missing --fail-missing

	for i in zaqar-benchmark.conf logging.conf ; do \
		cp etc/$$i.sample $(CURDIR)/debian/zaqar-common/usr/share/zaqar-common/$$i ; \
	done
	cp etc/zaqar-benchmark-messages.json $(CURDIR)/debian/zaqar-common/usr/share/zaqar-common

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 http://tarballs.openstack.org/zaqar zaqar-(8\.\d.*)\.tar\.gz

## zaqar 9.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr!=2.1.0,>=2.0.0 # Apache-2.0

alembic>=0.8.10 # MIT
Babel!=2.4.0,>=2.3.4 # BSD
falcon>=1.1.0 # Apache-2.0
jsonschema>=2.6.0 # MIT
iso8601>=0.1.11 # MIT
keystonemiddleware>=4.17.0 # Apache-2.0
msgpack>=0.5.1 # Apache-2.0
python-memcached>=1.56 # PSF
WebOb>=1.7.1 # MIT
stevedore>=1.20.0 # Apache-2.0
six>=1.10.0 # MIT
oslo.cache>=1.26.0 # Apache-2.0
oslo.config>=5.2.0 # Apache-2.0
oslo.context>=2.19.2 # Apache-2.0
oslo.db>=4.27.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.messaging>=5.29.0 # Apache-2.0
oslo.reports>=1.18.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.upgradecheck>=0.1.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
oslo.policy>=1.30.0 # Apache-2.0
osprofiler>=1.4.0 # Apache-2.0
SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT
enum34>=1.0.4;python_version=='2.7' or python_version=='2.6' or python_version=='3.3' # BSD
trollius>=2.1;python_version=='2.7' # Apache-2.0
autobahn>=0.17.1 # MIT License
requests>=2.14.2 # Apache-2.0
futurist>=1.2.0 # Apache-2.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
openstackdocstheme>=1.18.1 # Apache-2.0
sphinx!=1.6.6,!=1.6.7,>=1.6.3,<2.0.0;python_version=='2.7'  # BSD
sphinx!=1.6.6,!=1.6.7,>=1.6.3;python_version>='3.4'  # BSD
sphinxcontrib-apidoc>=0.2.0  # BSD
reno>=2.5.0 # Apache-2.0
os-api-ref>=1.4.0 # Apache-2.0
pymongo>=3.6.0 # Apache-2.0
redis>=2.10.0 # MIT

=== debian/changelog ===
zaqar (9.0.0-0ubuntu1) eoan; urgency=medium

  * New stable point release for OpenStack Train.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Wed, 16 Oct 2019 17:17:27 +0100

zaqar (9.0.0~rc1-0ubuntu1) eoan; urgency=medium

  * d/watch: track 9.x series.
  * New upstream release candidate for OpenStack Train.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 26 Sep 2019 09:18:04 -0400

zaqar (9.0.0~b2~git2019080910.d535a96e-0ubuntu1) eoan; urgency=medium

  [ Sahid Orentino Ferdjaoui ]
  * New upstream snapshot for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.

  [ Corey Bryant ]
  * New upstream snapshot for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.
  * d/rules: Switch to oslo-config-generator and oslopolicy-sample-generator
    as packages are py3-only now and no longer install python3-prefixed
    alternatives.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 09 Aug 2019 10:18:46 -0400

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  python3-all,
  python3-pbr (>= 2.0.0),
  python3-setuptools,
- python3-sphinx (>= 1.6.2),
+ python3-sphinx (>= 1.6.3),
 Build-Depends-Indep:
  alembic (>= 0.8.10),
  mongodb,
@@ -26,7 +26,7 @@
  python3-coverage (>= 4.0),
  python3-ddt (>= 1.0.1),
  python3-doc8 (>= 0.6.0),
- python3-falcon (>= 1.0.0),
+ python3-falcon (>= 1.1.0),
  python3-fixtures (>= 3.0.0),
  python3-futurist (>= 1.2.0),
  python3-hacking (>= 0.12.0),
@@ -63,6 +63,7 @@
  python3-six (>= 1.10.0),
  python3-sphinxcontrib.apidoc (>= 0.2.0),
  python3-sqlalchemy (>= 1.0.10),
+ python3-stestr (>= 2.0.0),
  python3-stevedore (>= 1:1.20.0),
  python3-swiftclient (>= 1:3.2.0),
  python3-testrepository (>= 0.0.18),
@@ -88,7 +89,7 @@
  python3-alembic (>= 0.8.10),
  python3-autobahn (>= 0.17.1),
  python3-babel (>= 2.3.4),
- python3-falcon (>= 1.0.0),
+ python3-falcon (>= 1.1.0),
  python3-futurist (>= 1.2.0),
  python3-iso8601 (>= 0.1.11),
  python3-jsonschema (>= 2.6.0),

=== debian/rules ===
--- 
+++ 
@@ -41,7 +41,7 @@
 endif
 
 	mkdir -p $(CURDIR)/debian/zaqar-common/usr/share/zaqar-common
-	PYTHONPATH=$(CURDIR)/debian/python3-zaqar/usr/lib/python3/dist-packages python3-oslo-config-generator \
+	PYTHONPATH=$(CURDIR)/debian/python3-zaqar/usr/lib/python3/dist-packages oslo-config-generator \
 		--output-file $(CURDIR)/debian/zaqar-common/usr/share/zaqar-common/zaqar.conf \
 		--wrap-width 140 \
 		--namespace zaqar.common.auth \
@@ -66,7 +66,7 @@
 		--namespace oslo.reports
 	pkgos-readd-keystone-authtoken-missing-options $(CURDIR)/debian/zaqar-common/usr/share/zaqar-common/zaqar.conf keystone_authtoken zaqar
 
-	PYTHONPATH=$(CURDIR)/debian/python3-zaqar/usr/lib/python3/dist-packages python3-oslopolicy-sample-generator \
+	PYTHONPATH=$(CURDIR)/debian/python3-zaqar/usr/lib/python3/dist-packages oslopolicy-sample-generator \
 		--output-file $(CURDIR)/debian/zaqar-common/usr/share/zaqar-common/policy.json \
 		--format json \
 		--namespace zaqar

## zaqar 10.0.0~b2~git2020021011.22c457a5

=== debian/changelog ===
zaqar (10.0.0~b2~git2020021011.22c457a5-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Mon, 10 Feb 2020 12:41:22 +0100

zaqar (10.0.0~b1~git2019121815.55c73e22-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Drop py2 BDs.
  * d/control, d/rules, d/compat: Switch to debhelper compat 12 and pybuild.
  * d/rules: Switch to using ZAQAR_TESTS_CONFIGS_DIR when running tests.
  * d/p/skip-py38-failure.patch: Skip py38 failure until fixed upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 18 Dec 2019 15:06:40 -0500

## zaqar 10.0.0~b3~git2020041014.22c457a5

=== requirements.txt ===
--- 
+++ 
@@ -28,8 +28,6 @@
 oslo.policy>=1.30.0 # Apache-2.0
 osprofiler>=1.4.0 # Apache-2.0
 SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT
-enum34>=1.0.4;python_version=='2.7' or python_version=='2.6' or python_version=='3.3' # BSD
-trollius>=2.1;python_version=='2.7' # Apache-2.0
 autobahn>=0.17.1 # MIT License
 requests>=2.14.2 # Apache-2.0
 futurist>=1.2.0 # Apache-2.0

=== doc/requirements.txt ===
--- 
+++ 
@@ -2,7 +2,6 @@
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.
 openstackdocstheme>=1.18.1 # Apache-2.0
-sphinx!=1.6.6,!=1.6.7,>=1.6.3,<2.0.0;python_version=='2.7'  # BSD
 sphinx!=1.6.6,!=1.6.7,>=1.6.3;python_version>='3.4'  # BSD
 sphinxcontrib-apidoc>=0.2.0  # BSD
 reno>=2.5.0 # Apache-2.0

=== debian/changelog ===
zaqar (10.0.0~b3~git2020041014.22c457a5-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/zaqar-common.postinst.in: Set ownership and permissions for all /var/lib
    files and directories.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 10 Apr 2020 14:16:48 -0400

zaqar (10.0.0~b3~git2020032614.22c457a5-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/zaqar-common.postinst: Refactor to standardise /etc, /var/lib and
    /var/log ownership and permissions (LP: #1859422).

 -- James Page <james.page@ubuntu.com>  Thu, 26 Mar 2020 14:43:20 +0000

=== debian/rules ===
--- 
+++ 
@@ -1,12 +1,14 @@
 #!/usr/bin/make -f
+
+export PYBUILD_NAME=zaqar
 
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3,systemd
+	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_clean:
-	dh_clean -O--buildsystem=python_distutils
+	dh_clean
 	rm -rf build \
 		debian/zaqar-common.postinst \
 		debian/zaqar-common.config \
@@ -14,9 +16,6 @@
 		debian/zaqar-server.config \
 		debian/*.service debian/*.init debian/*.upstart
 	rm -rf debian/*.templates debian/po
-
-override_dh_auto_clean:
-	python3 setup.py clean
 
 override_dh_auto_build:
 	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func zaqar-common.config
@@ -36,7 +35,7 @@
 	pkgos-dh_auto_install --no-py2
 
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	bash -x ./debian/setup-test-env-mongodb.sh pkgos-dh_auto_test --no-py2 'zaqar\.tests\.unit.(?!(.*transport\.websocket\.v2\.test_messages\.MessagesBaseTest\.test_post_multiple_2_False.*|.*transport\.websocket\.v2\.test_claims.*|.*transport\.websocket\.v2\.test_queue_lifecycle\.QueueLifecycleBaseTest\.test_list.*|.*transport\.websocket\.v2\.test_subscriptions\.SubscriptionTest\.test_subscription.*|.*transport\.websocket\.v2\.test_messages\.MessagesBaseTest.*))'
+	export ZAQAR_TESTS_CONFIGS_DIR=$(CURDIR)/zaqar/tests/etc ; pkgos-dh_auto_test --no-py2 'zaqar\.tests\.unit.(?!(.*transport\.websocket.*|.*transport\.wsgi.*|.*test_bootstrap\.TestBootstrap.*))'
 	#(?!(.*transport\.websocket\.v2\.test_subscriptions\.SubscriptionTest\.test_subscription_sustainable_notifications_format.*|.*transport\.websocket\.v2\.test_messages\.MessagesBaseTest\.test_unsupported_json_1___overflow___9223372036854775808_.*|.*transport\.websocket\.v2\.test_subscriptions\.SubscriptionTest\.test_subscription_create.*))'
 endif

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 http://tarballs.openstack.org/zaqar zaqar-(9\.\d.*)\.tar\.gz

## zaqar 10.0.0

=== debian/changelog ===
zaqar (10.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 May 2020 19:23:19 +0200

zaqar (10.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 10 May 2020 13:00:55 +0200

zaqar (10.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 24 Apr 2020 23:51:24 +0200

zaqar (9.0.0-3) unstable; urgency=medium

  * Add skip-py38-failure.patch taken from Ubuntu (Closes: #952005).

 -- Thomas Goirand <zigo@debian.org>  Wed, 26 Feb 2020 11:16:42 +0100

zaqar (9.0.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Oct 2019 23:03:33 +0200

zaqar (9.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 16 Oct 2019 19:30:50 +0200

zaqar (9.0.0~rc1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 30 Sep 2019 13:36:47 +0200

zaqar (8.0.0-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Michal Arbet <michal.arbet@ultimum.io>  Wed, 17 Jul 2019 20:16:30 +0200

zaqar (8.0.0-2) experimental; urgency=medium

  * d/control:
      - Bump openstack-pkg-tools to version 99
      - Add me to uploaders field
  * d/copyright: Add me to copyright file

 -- Michal Arbet <michal.arbet@ultimum.io>  Thu, 02 May 2019 17:55:46 +0200

zaqar (8.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 11 Apr 2019 11:18:41 +0200

zaqar (8.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed package versions when satisfied in Buster.
  * Removed python3- prefix when calling config generators.
  * Add python3-oslo.upgradecheck as (build-)depends.
  * Standards-Version: 4.3.0 (no change).

 -- Thomas Goirand <zigo@debian.org>  Mon, 08 Apr 2019 16:19:04 +0200

zaqar (7.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable:
    - Fixes FTBFS (Closes: #892784).
  * Wait 10 seconds instead of parsing mongodb output.
  * Add Rules-Requires-Root: binary-targets.
  * Remove build-depends on mongodb, and do not test with it (Closes: #919094).

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Aug 2018 09:25:29 +0200

zaqar (7.0.0~rc1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release.
  * Removed patches applied upstream:
    - Fix_assert_error_during_queue_creating_in_ut.patch
  * Rebased finished-fixing-upstream-tests.patch.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 26 Aug 2018 18:45:12 +0200

=== debian/control ===
Source: zaqar
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools (>= 99~),
 po-debconf,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 alembic,
 python3-autobahn,
 python3-babel,
 python3-coverage,
 python3-ddt,
 python3-falcon (>= 1.1.0),
 python3-fixtures,
 python3-futurist,
 python3-hacking,
 python3-iso8601,
 python3-jsonschema,
 python3-keystoneclient,
 python3-keystonemiddleware,
 python3-memcache,
 python3-mock,
 python3-msgpack,
 python3-openstackdocstheme,
 python3-oslo.cache,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.policy,
 python3-oslo.reports,
 python3-oslo.serialization,
 python3-oslo.upgradecheck,
 python3-oslo.utils,
 python3-oslotest,
 python3-osprofiler,
 python3-pygments,
 python3-pymongo,
 python3-pymysql,
 python3-redis,
 python3-requests,
 python3-six,
 python3-sphinxcontrib.apidoc,
 python3-sqlalchemy,
 python3-stestr,
 python3-stevedore,
 python3-swiftclient,
 python3-testresources,
 python3-testscenarios,
 python3-testtools,
 python3-webob,
 python3-websocket,
 subunit,
 tempest,
Standards-Version: 4.4.1
Rules-Requires-Root: binary-targets
Vcs-Browser: https://salsa.debian.org/openstack-team/services/zaqar
Vcs-Git: https://salsa.debian.org/openstack-team/services/zaqar.git
Homepage: https://github.com/openstack/zaqar/

Package: python3-zaqar
Section: python
Architecture: all
Depends:
 alembic,
 python3-autobahn,
 python3-babel,
 python3-falcon (>= 1.1.0),
 python3-futurist,
 python3-iso8601,
 python3-jsonschema,
 python3-keystonemiddleware,
 python3-memcache,
 python3-msgpack,
 python3-oslo.cache,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.policy,
 python3-oslo.reports,
 python3-oslo.serialization,
 python3-oslo.upgradecheck,
 python3-oslo.utils,
 python3-osprofiler,
 python3-pbr,
 python3-requests,
 python3-six,
 python3-sqlalchemy,
 python3-stevedore,
 python3-webob,
 ${misc:Depends},
 ${python3:Depends},
Conflicts:
 python-zaqar,
Description: OpenStack Queueing as a Service - Python libraries
 Zaqar is a multi-tenant cloud messaging service for web developers. It
 combines the ideas pioneered by Amazon's SQS product with additional semantics
 to support event broadcasting.
 .
 The service features a fully RESTful API, which developers can use to send
 messages between various components of their SaaS and mobile applications, by
 using a variety of communication patterns. Underlying this API is an efficient
 messaging engine designed with scalability and security in mind.
 .
 Other OpenStack components can integrate with Zaqar to surface events to end
 users and to communicate with guest agents that run in the "over-cloud" layer.
 Cloud operators can leverage Zaqar to provide equivalents of SQS and SNS to
 their customers.
 .
 This package contains the Python libraries that are part of Zaqar.

Package: zaqar-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 python3-zaqar (= ${binary:Version}),
 sqlite3,
 ${misc:Depends},
 ${python3:Depends},
Provides:
 ${python3:Provides},
Description: OpenStack Queueing as a Service - common files
 Zaqar is a multi-tenant cloud messaging service for web developers. It
 combines the ideas pioneered by Amazon's SQS product with additional semantics
 to support event broadcasting.
 .
 The service features a fully RESTful API, which developers can use to send
 messages between various components of their SaaS and mobile applications, by
 using a variety of communication patterns. Underlying this API is an efficient
 messaging engine designed with scalability and security in mind.
 .
 Other OpenStack components can integrate with Zaqar to surface events to end
 users and to communicate with guest agents that run in the "over-cloud" layer.
 Cloud operators can leverage Zaqar to provide equivalents of SQS and SNS to
 their customers.
 .
 This package contains common files and configuration that are
 needed by all the daemon packages of Zaqar.

Package: zaqar-server
Architecture: all
Depends:
 adduser,
 debconf,
 python3-keystoneclient,
 q-text-as-data,
 zaqar-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack Queueing as a Service - API server
 Zaqar is a multi-tenant cloud messaging service for web developers. It
 combines the ideas pioneered by Amazon's SQS product with additional semantics
 to support event broadcasting.
 .
 The service features a fully RESTful API, which developers can use to send
 messages between various components of their SaaS and mobile applications, by
 using a variety of communication patterns. Underlying this API is an efficient
 messaging engine designed with scalability and security in mind.
 .
 Other OpenStack components can integrate with Zaqar to surface events to end
 users and to communicate with guest agents that run in the "over-cloud" layer.
 Cloud operators can leverage Zaqar to provide equivalents of SQS and SNS to
 their customers.
 .
 This package contains the API server on which clients will connect.

=== debian/rules ===
--- 
+++ 
@@ -1,14 +1,12 @@
 #!/usr/bin/make -f
-
-export PYBUILD_NAME=zaqar
 
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=python_distutils --with python3,systemd
 
 override_dh_clean:
-	dh_clean
+	dh_clean -O--buildsystem=python_distutils
 	rm -rf build \
 		debian/zaqar-common.postinst \
 		debian/zaqar-common.config \
@@ -16,6 +14,9 @@
 		debian/zaqar-server.config \
 		debian/*.service debian/*.init debian/*.upstart
 	rm -rf debian/*.templates debian/po
+
+override_dh_auto_clean:
+	python3 setup.py clean
 
 override_dh_auto_build:
 	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func zaqar-common.config
@@ -32,7 +33,9 @@
 	echo "Do nothing..."
 
 override_dh_install:
-	pkgos-dh_auto_install --no-py2
+	for i in $(PYTHON3S) ; do \
+		python$$i setup.py install --install-layout=deb --root=$(CURDIR)/debian/tmp ; \
+	done
 
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 	export ZAQAR_TESTS_CONFIGS_DIR=$(CURDIR)/zaqar/tests/etc ; pkgos-dh_auto_test --no-py2 'zaqar\.tests\.unit.(?!(.*transport\.websocket.*|.*transport\.wsgi.*|.*test_bootstrap\.TestBootstrap.*))'
@@ -40,7 +43,7 @@
 endif
 
 	mkdir -p $(CURDIR)/debian/zaqar-common/usr/share/zaqar-common
-	PYTHONPATH=$(CURDIR)/debian/python3-zaqar/usr/lib/python3/dist-packages oslo-config-generator \
+	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
 		--output-file $(CURDIR)/debian/zaqar-common/usr/share/zaqar-common/zaqar.conf \
 		--wrap-width 140 \
 		--namespace zaqar.common.auth \
@@ -65,7 +68,7 @@
 		--namespace oslo.reports
 	pkgos-readd-keystone-authtoken-missing-options $(CURDIR)/debian/zaqar-common/usr/share/zaqar-common/zaqar.conf keystone_authtoken zaqar
 
-	PYTHONPATH=$(CURDIR)/debian/python3-zaqar/usr/lib/python3/dist-packages oslopolicy-sample-generator \
+	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslopolicy-sample-generator \
 		--output-file $(CURDIR)/debian/zaqar-common/usr/share/zaqar-common/policy.json \
 		--format json \
 		--namespace zaqar

## zaqar 11.0.0

=== requirements.txt ===
--- 
+++ 
@@ -5,19 +5,21 @@
 
 alembic>=0.8.10 # MIT
 Babel!=2.4.0,>=2.3.4 # BSD
+cryptography>=2.1 # BSD/Apache-2.0
 falcon>=1.1.0 # Apache-2.0
-jsonschema>=2.6.0 # MIT
+jsonschema>=3.2.0 # MIT
 iso8601>=0.1.11 # MIT
 keystonemiddleware>=4.17.0 # Apache-2.0
-msgpack>=0.5.1 # Apache-2.0
+msgpack>=1.0.0 # Apache-2.0
 python-memcached>=1.56 # PSF
+python-swiftclient>=3.2.0 # Apache-2.0
 WebOb>=1.7.1 # MIT
 stevedore>=1.20.0 # Apache-2.0
 six>=1.10.0 # MIT
 oslo.cache>=1.26.0 # Apache-2.0
 oslo.config>=5.2.0 # Apache-2.0
 oslo.context>=2.19.2 # Apache-2.0
-oslo.db>=4.27.0 # Apache-2.0
+oslo.db>=6.0.0 # Apache-2.0
 oslo.i18n>=3.15.3 # Apache-2.0
 oslo.log>=3.36.0 # Apache-2.0
 oslo.messaging>=5.29.0 # Apache-2.0
@@ -27,7 +29,7 @@
 oslo.utils>=3.33.0 # Apache-2.0
 oslo.policy>=1.30.0 # Apache-2.0
 osprofiler>=1.4.0 # Apache-2.0
-SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT
-autobahn>=0.17.1 # MIT License
+SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.3.19 # MIT
+autobahn>=20.7.1 # MIT License
 requests>=2.14.2 # Apache-2.0
 futurist>=1.2.0 # Apache-2.0

=== debian/changelog ===
zaqar (11.0.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 15 Oct 2020 09:52:39 -0400

zaqar (11.0.0~rc1-0ubuntu1) groovy; urgency=medium

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * d/watch: Scope to 11.x series.

  [ Corey Bryant ]
  * New upstream release candidate for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 09 Oct 2020 13:37:08 -0400

zaqar (11.0.0~b3~git2020091516.73435a24-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/revert-msgpack-unpackb.patch: Revert upstream patch that was
    needed for msgpack >= 1.0.0, as Ubuntu currenly has 0.6.2-1.


 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 15 Sep 2020 16:38:13 -0400

zaqar (11.0.0~b1~git2020062915.b5936860-0ubuntu3) groovy; urgency=medium

  * d/control: Add python3-pymongo to Depends.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 22 Jul 2020 13:25:33 -0400

zaqar (11.0.0~b1~git2020062915.b5936860-0ubuntu2) groovy; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - d/control: Specify python3 dependencies in python3-zaqar binary
      package only. Ensure python3-swiftclient and python3-keystoneclient
      are (Build-)Depends.
    - d/control, d/rules: Switch to debhelper compat 12 and pybuild.
    - d/control: Update to standards version 4.5.0.
    - d/control: Drop py2 conflicts on python-zaqar.
    - d/gbp.conf: Added for gbp and pristine-tar config.
    - d/p/finished-fixing-upstream-tests.patch: Dropped. Not needed.
    - d/p/remove-trollius-from-requirements.txt.patch: Dropped. Not needed.
    - d/p/skip-test.patch: Skip failing test.
    - d/python3-zaqar.install: Dropped. Not needed.
    - d/rules: Install to debian/python3-zaqar with pkgos-dh_auto_install.
    - d/setup-test-env-mongodb.sh: Dropped. No longer needed.
    - d/tests/*, d/control: Add autopkgtests.
    - d/watch: Get tarball from tarballs.opendev.org.
    - d/zaqar-common.postinst: Refactor to standardise /etc, /var/lib and
      /var/log ownership and permissions (LP: #1859422).
    - d/zaqar-server.init.in: Remove Should-Start/Stop of mongodb.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 16 Jul 2020 16:56:52 -0400

zaqar (11.0.0~b1~git2020062915.b5936860-0ubuntu1) groovy; urgency=medium

  [ Chris MacNaughton ]
  * New upstream snapshot for OpenStack Victoria.
  * d/control: Align (BUild-)Depends with upstream.
  * d/control: Update Standards-Version to 4.5.0.

  [ Corey Bryant ]
  * d/control: Add python3-swiftclient to Depends.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 30 Jun 2020 13:55:15 -0400

zaqar (10.0.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Ussuri (LP: #1877642).
  * d/watch: Update to point at opendev.org.
  * d/watch: track 10.x series.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Thu, 14 May 2020 09:35:51 +0000

=== debian/control ===
--- 
+++ 
@@ -1,112 +1,120 @@
 Source: zaqar
 Section: net
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
  Michal Arbet <michal.arbet@ultimum.io>,
 Build-Depends:
- debhelper-compat (= 10),
+ debhelper-compat (= 12),
  dh-python,
  openstack-pkg-tools (>= 99~),
  po-debconf,
  python3-all,
- python3-pbr,
+ python3-pbr (>= 2.0.0),
  python3-setuptools,
- python3-sphinx,
+ python3-sphinx (>= 2.0.0),
 Build-Depends-Indep:
  alembic,
- python3-autobahn,
- python3-babel,
+ python3-alembic (>= 0.8.10),
+ python3-autobahn (>= 0.17.1),
+ python3-babel (>= 2.3.4),
  python3-coverage,
- python3-ddt,
+ python3-cryptography (>= 2.1),
+ python3-ddt (>= 1.0.1),
  python3-falcon (>= 1.1.0),
- python3-fixtures,
- python3-futurist,
+ python3-fixtures (>= 3.0.0),
+ python3-futurist (>= 1.2.0),
  python3-hacking,
- python3-iso8601,
- python3-jsonschema,
+ python3-iso8601 (>= 0.1.11),
+ python3-jsonschema (>= 3.2.0),
  python3-keystoneclient,
- python3-keystonemiddleware,
- python3-memcache,
- python3-mock,
+ python3-keystonemiddleware (>= 4.17.0),
+ python3-memcache (>= 1.56),
+ python3-mock (>= 2.0.0),
  python3-msgpack,
- python3-openstackdocstheme,
- python3-oslo.cache,
- python3-oslo.config,
- python3-oslo.context,
- python3-oslo.db,
- python3-oslo.i18n,
- python3-oslo.log,
- python3-oslo.messaging,
- python3-oslo.policy,
- python3-oslo.reports,
- python3-oslo.serialization,
- python3-oslo.upgradecheck,
- python3-oslo.utils,
- python3-oslotest,
- python3-osprofiler,
- python3-pygments,
- python3-pymongo,
- python3-pymysql,
- python3-redis,
- python3-requests,
- python3-six,
- python3-sphinxcontrib.apidoc,
- python3-sqlalchemy,
- python3-stestr,
- python3-stevedore,
- python3-swiftclient,
- python3-testresources,
- python3-testscenarios,
- python3-testtools,
- python3-webob,
- python3-websocket,
+ python3-openstackdocstheme (>= 2.2.1),
+ python3-os-api-ref (>= 1.4.0),
+ python3-oslo.cache (>= 1.26.0),
+ python3-oslo.config (>= 1:5.2.0),
+ python3-oslo.context (>= 1:2.19.2),
+ python3-oslo.db (>= 6.0.0),
+ python3-oslo.i18n (>= 3.15.3),
+ python3-oslo.log (>= 3.36.0),
+ python3-oslo.messaging (>= 5.29.0),
+ python3-oslo.policy (>= 1.30.0),
+ python3-oslo.reports (>= 1.18.0),
+ python3-oslo.serialization (>= 2.18.0),
+ python3-oslo.upgradecheck (>= 0.1.0),
+ python3-oslo.utils (>= 3.33.0),
+ python3-oslotest (>= 1:3.2.0),
+ python3-osprofiler (>= 1.4.0),
+ python3-pygments (>= 2.2.0),
+ python3-pymongo (>= 3.6.0),
+ python3-pymysql (>= 0.8.0),
+ python3-redis (>= 3.0.0),
+ python3-requests (>= 2.14.2),
+ python3-six (>= 1.10.0),
+ python3-sphinxcontrib.apidoc (>= 0.2.0),
+ python3-sqlalchemy (>= 1.3.19),
+ python3-stestr (>= 2.0.0),
+ python3-stevedore (>= 1:1.20.0),
+ python3-swiftclient (>= 1:3.2.0),
+ python3-testresources (>= 2.0.0),
+ python3-testscenarios (>= 0.4),
+ python3-testtools (>= 2.2.0),
+ python3-webob (>= 1:1.7.1),
+ python3-websocket (>= 0.44.0),
  subunit,
  tempest,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Rules-Requires-Root: binary-targets
-Vcs-Browser: https://salsa.debian.org/openstack-team/services/zaqar
-Vcs-Git: https://salsa.debian.org/openstack-team/services/zaqar.git
+Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/zaqar
+Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/zaqar
 Homepage: https://github.com/openstack/zaqar/
+Testsuite: autopkgtest-pkg-python
 
 Package: python3-zaqar
 Section: python
 Architecture: all
 Depends:
  alembic,
- python3-autobahn,
- python3-babel,
+ python3-alembic (>= 0.8.10),
+ python3-autobahn (>= 0.17.1),
+ python3-babel (>= 2.3.4),
+ python3-cryptography (>= 2.1),
  python3-falcon (>= 1.1.0),
- python3-futurist,
- python3-iso8601,
- python3-jsonschema,
- python3-keystonemiddleware,
- python3-memcache,
+ python3-futurist (>= 1.2.0),
+ python3-iso8601 (>= 0.1.11),
+ python3-jsonschema (>= 3.2.0),
+ python3-keystoneclient,
+ python3-keystonemiddleware (>= 4.17.0),
+ python3-memcache (>= 1.56),
  python3-msgpack,
- python3-oslo.cache,
- python3-oslo.config,
- python3-oslo.context,
- python3-oslo.db,
- python3-oslo.i18n,
- python3-oslo.log,
- python3-oslo.messaging,
- python3-oslo.policy,
- python3-oslo.reports,
- python3-oslo.serialization,
- python3-oslo.upgradecheck,
- python3-oslo.utils,
- python3-osprofiler,
- python3-pbr,
- python3-requests,
- python3-six,
- python3-sqlalchemy,
- python3-stevedore,
- python3-webob,
+ python3-oslo.cache (>= 1.26.0),
+ python3-oslo.config (>= 1:5.2.0),
+ python3-oslo.context (>= 1:2.19.2),
+ python3-oslo.db (>= 6.0.0),
+ python3-oslo.i18n (>= 3.15.3),
+ python3-oslo.log (>= 3.36.0),
+ python3-oslo.messaging (>= 5.29.0),
+ python3-oslo.policy (>= 1.30.0),
+ python3-oslo.reports (>= 1.18.0),
+ python3-oslo.serialization (>= 2.18.0),
+ python3-oslo.upgradecheck (>= 0.1.0),
+ python3-oslo.utils (>= 3.33.0),
+ python3-osprofiler (>= 1.4.0),
+ python3-pbr (>= 2.0.0),
+ python3-pymongo,
+ python3-requests (>= 2.14.2),
+ python3-six (>= 1.10.0),
+ python3-sqlalchemy (>= 1.3.19),
+ python3-stevedore (>= 1:1.20.0),
+ python3-swiftclient (>= 1:3.2.0),
+ python3-webob (>= 1:1.7.1),
  ${misc:Depends},
  ${python3:Depends},
-Conflicts:
- python-zaqar,
 Description: OpenStack Queueing as a Service - Python libraries
  Zaqar is a multi-tenant cloud messaging service for web developers. It
  combines the ideas pioneered by Amazon's SQS product with additional semantics
@@ -133,9 +141,6 @@
  python3-zaqar (= ${binary:Version}),
  sqlite3,
  ${misc:Depends},
- ${python3:Depends},
-Provides:
- ${python3:Provides},
 Description: OpenStack Queueing as a Service - common files
  Zaqar is a multi-tenant cloud messaging service for web developers. It
  combines the ideas pioneered by Amazon's SQS product with additional semantics
@@ -159,12 +164,10 @@
 Depends:
  adduser,
  debconf,
- python3-keystoneclient,
  q-text-as-data,
  zaqar-common (= ${binary:Version}),
  ${misc:Depends},
  ${ostack-lsb-base},
- ${python3:Depends},
 Description: OpenStack Queueing as a Service - API server
  Zaqar is a multi-tenant cloud messaging service for web developers. It
  combines the ideas pioneered by Amazon's SQS product with additional semantics

=== debian/rules ===
--- 
+++ 
@@ -1,12 +1,14 @@
 #!/usr/bin/make -f
+
+export PYBUILD_NAME=zaqar
 
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3,systemd
+	dh $@ --buildsystem=pybuild --with python3
 
 override_dh_clean:
-	dh_clean -O--buildsystem=python_distutils
+	dh_clean
 	rm -rf build \
 		debian/zaqar-common.postinst \
 		debian/zaqar-common.config \
@@ -33,9 +35,7 @@
 	echo "Do nothing..."
 
 override_dh_install:
-	for i in $(PYTHON3S) ; do \
-		python$$i setup.py install --install-layout=deb --root=$(CURDIR)/debian/tmp ; \
-	done
+	pkgos-dh_auto_install --no-py2
 
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 	export ZAQAR_TESTS_CONFIGS_DIR=$(CURDIR)/zaqar/tests/etc ; pkgos-dh_auto_test --no-py2 'zaqar\.tests\.unit.(?!(.*transport\.websocket.*|.*transport\.wsgi.*|.*test_bootstrap\.TestBootstrap.*))'
@@ -43,7 +43,7 @@
 endif
 
 	mkdir -p $(CURDIR)/debian/zaqar-common/usr/share/zaqar-common
-	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
+	PYTHONPATH=$(CURDIR)/debian/python3-zaqar/usr/lib/python3/dist-packages oslo-config-generator \
 		--output-file $(CURDIR)/debian/zaqar-common/usr/share/zaqar-common/zaqar.conf \
 		--wrap-width 140 \
 		--namespace zaqar.common.auth \
@@ -68,7 +68,7 @@
 		--namespace oslo.reports
 	pkgos-readd-keystone-authtoken-missing-options $(CURDIR)/debian/zaqar-common/usr/share/zaqar-common/zaqar.conf keystone_authtoken zaqar
 
-	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslopolicy-sample-generator \
+	PYTHONPATH=$(CURDIR)/debian/python3-zaqar/usr/lib/python3/dist-packages oslopolicy-sample-generator \
 		--output-file $(CURDIR)/debian/zaqar-common/usr/share/zaqar-common/policy.json \
 		--format json \
 		--namespace zaqar

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/zaqar zaqar-(11\.\d.*)\.tar\.gz
